import { HTMLImporter } from 'substance'

import SimpleArticle from './SimpleArticle'

class SimpleImporter extends HTMLImporter {
  constructor (config) {
    super({
      schema: config.schema,
      converters: config.converters,
      DocumentClass: SimpleArticle
    })
  }

  // Takes an HTML string.
  convertDocument (bodyEls) {
    // Just to make sure we always get an array of elements
    if (!bodyEls.length) bodyEls = [bodyEls]
    this.convertContainer(bodyEls, 'body')
  }
}

export default SimpleImporter
