/* eslint react/prop-types: 0 */

import { Component } from 'substance'

class TextArea extends Component {
  render ($$) {
    const documentSession = this.context.documentSession
    const doc = documentSession.getDocument()
    const val = doc.get(this.props.path)

    const el = $$('textarea')
      .attr({
        rows: this.props.rows || '1',
        // cols: this.props.columns || '40',
        placeholder: this.props.placeholder || 'Type your text here'
      })
      .addClass('se-note-textarea')
      .append(val)
      .on('keyup', this.textAreaAdjust)

    return el
  }

  textAreaAdjust (event) {
    let textArea = event.path[0]

    textArea.style.height = '1px'
    textArea.style.height = (textArea.scrollHeight) + 'px'
  }
}

export default TextArea
